## monitoring-plugins 2.3.1

=== debian/changelog ===
monitoring-plugins (2.3.1-1ubuntu4) jammy; urgency=medium

  * d/p/exclude-tmpfs-squashfs-tracefs.patch: Adding synthetic filesystems
    for exclusion only if they have not been included and no mount point
    has been provided in command line. Re-implementing solution for
    LP bug 1827159. (LP: #1940916).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 02 Feb 2022 13:35:26 +0100

monitoring-plugins (2.3.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:39:50 +0000

monitoring-plugins (2.3.1-1ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:53:58 -0400

monitoring-plugins (2.3.1-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity.
      (LP 1827159)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      + was having constant socket timeouts (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 09 Jun 2021 13:36:27 -0700

monitoring-plugins (2.3.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Jan Wagner <waja@cyconet.org>  Thu, 22 Apr 2021 12:41:33 +0200

monitoring-plugins (2.3.1-1~exp2) experimental; urgency=medium

  * [eb7432c] Adding d/p/10_check_curl_header fixing HTTP_ heqders
  * [363955f] Adding d/p/03_epn disable epn in check_disk_smb

 -- Jan Wagner <waja@cyconet.org>  Tue, 13 Apr 2021 13:05:28 +0200

monitoring-plugins (2.3.1-1~exp1) experimental; urgency=medium

  * [09f4277] New upstream version 2.3.1 (Closes: #982847, #886888, #950921)

 -- Jan Wagner <waja@cyconet.org>  Sun, 11 Apr 2021 12:21:37 +0100

=== debian/control ===
Source: monitoring-plugins
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
Build-Depends: debhelper (>= 10~),
               libcurl4-openssl-dev | libcurl4-nss-dev (>= 7.34) | libcurl4-gnutls-dev (>= 7.42),
               libdbi-dev,
               libradcli-dev | libfreeradius-client-dev | libradiusclient-ng-dev,
               libkrb5-dev,
               libldap2-dev,
               default-libmysqlclient-dev,
               libnet-snmp-perl,
               libpq-dev,
               libssl-dev,
               liburiparser-dev,
               mawk | awk,
               perl,
               procps
Homepage: https://www.monitoring-plugins.org
Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins
Vcs-Git: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins.git
Standards-Version: 4.5.1

Package: monitoring-plugins
Architecture: all
Depends: monitoring-plugins-basic, monitoring-plugins-standard, ${misc:Depends}
Suggests: icinga2, nagios-plugins-contrib
Provides: nagios-plugins
Description: Plugins for nagios compatible monitoring systems (metapackage)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga.
 .
 This metapackage will install the entire suite of plugins for nagios
 compatible monitoring systems.
 If you are installing monitoring plugins on a remote "satellite" server
 (using nagios-nrpe-server or nsca), you may be interested in the
 monitoring-plugins-basic package.

Package: monitoring-plugins-common
Architecture: any
Depends: ucf, ${misc:Depends}, ${shlibs:Depends}
Suggests: icinga2
Description: Common files for plugins for nagios compatible monitoring
 Common files for plugins for nagios compatible monitoring systems like Naemon
 and Icinga.
 .
 This package contains common files which maybe needed for plugins.

Package: monitoring-plugins-basic
Architecture: any
Depends: inetutils-ping (>= 2:1.9-1~) [kfreebsd-any hurd-any],
         iputils-ping [linux-any],
         monitoring-plugins-common,
         procps,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcap2-bin [linux-any]
Suggests: icinga2
Provides: nagios-plugins-basic
Description: Plugins for nagios compatible monitoring systems (basic)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_apt, check_by_ssh, check_clamd, check_cluster,
  check_dhcp, check_disk, check_dummy, check_file_age,
  check_ftp, check_host, check_http, check_icmp,
  check_ide_smart, check_imap, check_ircd, check_jabber,
  check_load, check_log, check_mrtg, check_mrtgtraf,
  check_nagios, check_nntp, check_nntps, check_nt,
  check_ntp, check_ntp_peer, check_ntp_time, check_nwstat,
  check_overcr,  check_ping, check_pop, check_procs,
  check_real, check_rta_multi, check_sensors, check_simap,
  check_smtp, check_spop, check_ssh, check_ssmtp,
  check_swap, check_tcp, check_time, check_udp,
  check_ups, check_users
 .
 This package provides a basic set of plugins with minimal external
 dependencies.  It is not likely to be useful by itself unless you are
 using a remote "satellite" system (using nagios-nrpe-server, check_by_ssh or
 nsca, for example).

Package: monitoring-plugins-standard
Architecture: any
Depends: monitoring-plugins-basic, ucf, ${misc:Depends}, ${shlibs:Depends}
Recommends: bind9-host | host,
            dnsutils,
            libnet-snmp-perl,
            rpcbind,
            smbclient,
            snmp,
            sudo,
            ${shlibs:Recommends}
Suggests: fping,
          icinga2,
          postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light,
          qstat
Provides: nagios-plugins-standard
Description: Plugins for nagios compatible monitoring systems (standard)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_breeze, check_dbi, check_dig, check_disk_smb, check_dns,
  check_flexlm, check_fping, check_game, check_hpjd, check_ifoperstatus,
  check_ifstatus, check_ldap, check_ldaps, check_mailq, check_mysql,
  check_mysql_query, check_oracle, check_pgsql, check_radius, check_rpc,
  check_snmp, check_wave
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central monitoring host. Some scripts need more packages installed
 to work, which is implemented as recommends.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# for hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE = monitoring-plugins

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

DEBIANDIR=$(CURDIR)/debian
NP_LIBEXEC:=/usr/lib/nagios/plugins
NP_COMMON_DIR:=$(DEBIANDIR)/monitoring-plugins-common
NP_BASIC_DIR:=$(DEBIANDIR)/monitoring-plugins-basic
NP_BASIC_TEMPLATES:=$(NP_BASIC_DIR)/usr/share/monitoring-plugins/templates-basic
NP_STD_DIR:=$(DEBIANDIR)/monitoring-plugins-standard
NP_STD_TEMPLATES:=$(NP_STD_DIR)/usr/share/monitoring-plugins/templates-standard

std_plugins:=check_breeze check_ifoperstatus check_hpjd check_ifstatus \
	check_rpc check_snmp check_wave check_fping check_game \
	check_radius check_mysql check_mysql_query check_pgsql \
	check_disk_smb check_ldap check_ldaps \
	check_mailq check_curl \
	check_dns check_dig check_flexlm check_oracle \
	check_dbi

common_files:=negate urlize utils.pm utils.sh

basic_plugin_cfgs:=apt dhcp disk dummy ftp http load mail news ntp ping procs \
	real ssh tcp_udp telnet users
std_plugin_cfgs:=breeze curl-http disk-smb dns flexlm fping games hppjd ifstatus ldap \
	mailq mrtg mysql netware nt pgsql radius rpc-nfs snmp

PATH = /bin:/sbin:/usr/bin:/usr/sbin


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
PING_CONFIGURE_ARGS = --with-ping-command="/bin/ping -4 -n -U -w %d -c %d %s" \
                      --with-ping6-command="/bin/ping -6 -n -U -w %d -c %d %s"
else
PING_CONFIGURE_ARGS = --with-ping-command="/bin/ping -n -w %d -c %d %s" \
                      --with-ping6-command="/bin/ping6 -n -w %d -c %d %s"
endif


config.status: configure
	export PATH=$(PATH)
	dh_testdir
	
	# if /proc is not mounted, check_nagios and check_procs are
	# silently omitted from build.
	@if ! [ -d /proc/$$$$ ]; then \
	  echo "monitoring-plugins needs a mounted /proc to correctly build"; \
	  exit 1; \
	fi
	
	ln -sf /usr/share/misc/config.sub build-aux
	ln -sf /usr/share/misc/config.guess build-aux
	rm -f config.cache
	
	# Add here commands to configure the package.
	# Append 'All warnings', 'Immediate binding' and dpkg-buildflags flags
	CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND='-Wall -Wl,-z,now' dpkg-buildflags --get CFLAGS)" \
	PATH_TO_APTGET=/usr/bin/apt-get \
	PGINCLUDE="-I`pg_config --includedir`" PGLIBS="-lpq -lcrypt" \
	./configure \
		--disable-maintainer-mode \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--libexecdir=${NP_LIBEXEC} \
		--with-perl=/usr/bin/perl \
		--with-openssl=/usr \
		--with-pgsql=/usr \
		--with-mysql=/usr \
		--with-proc-loadavg=/proc/loadavg \
		--with-ps-command="/bin/ps axwwo 'stat uid pid ppid vsz rss pcpu etime comm args'" \
		--with-ps-format="%s %d %d %d %d %d %f %s %s %n" \
		--with-ps-cols=10 \
		--with-ps-varlist="procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,procetime,procprog,&pos" \
		$(PING_CONFIGURE_ARGS) \
		--with-nslookup-command="/usr/bin/nslookup -sil" \
		--with-uptime-command="/usr/bin/uptime" \
		--with-rpcinfo-command="/usr/sbin/rpcinfo" \
		--with-smbclient-command="/usr/bin/smbclient" \
		--with-snmpget-command="/usr/bin/snmpget" \
		--with-snmpgetnext-command="/usr/bin/snmpgetnext" \
		--with-qstat-command="/usr/bin/quakestat" \
		--with-fping-command="/usr/bin/fping" \
		--with-fping6-command="/usr/bin/fping6" \
		--with-ssh-command="/usr/bin/ssh" \
		--with-sudo-command="/usr/bin/sudo" \
		--with-mailq-command="/usr/bin/mailq" \
		--with-proc-meminfo="/proc/meminfo" \
		--with-dig-command="/usr/bin/dig" \
		--with-apt-get-command="/usr/bin/apt-get" \
		--enable-extra-opts \
		--disable-rpath


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: really-clean

really-clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/README.Debian.plugins debian/monitoring-plugins-standard.substvars.in

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	-rm -f $(DEBIANDIR)/monitoring-plugins-basic.postrm $(DEBIANDIR)/monitoring-plugins-standard.postrm
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/monitoring-plugins.
	$(MAKE) install DESTDIR=${NP_BASIC_DIR}
	$(MAKE) install-root DESTDIR=${NP_BASIC_DIR}
	chmod 644 ${NP_BASIC_DIR}/usr/lib/nagios/plugins/utils.pm
	# split up basic vs. standard plugins
	for p in ${std_plugins}; do \
		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_STD_DIR}/${NP_LIBEXEC}; \
	done
	# slit out common files
	for p in ${common_files}; do \
		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_COMMON_DIR}/${NP_LIBEXEC}; \
	done
	# remove check_uptime for now (conflicting with check_uptime from n-p-c)
	rm ${NP_BASIC_DIR}/${NP_LIBEXEC}/check_uptime
	# now do the same for their configs, copying them into seperate
	# "template" directories outside of /usr/share/doc for ucf to use.
	for c in ${basic_plugin_cfgs}; do \
		cp $(DEBIANDIR)/pluginconfig/$${c}.cfg ${NP_BASIC_TEMPLATES}; \
	done
	for c in ${std_plugin_cfgs}; do \
		cp $(DEBIANDIR)/pluginconfig/$${c}.cfg ${NP_STD_TEMPLATES}; \
	done
	# dynamically create the postrm scripts using a template, so that we
	# don't have to define the same list of plugin configs over and over.
	sed -e 's/@BASIC_PLUGINS@/${basic_plugin_cfgs}/' \
		< $(DEBIANDIR)/monitoring-plugins-basic.postrm.in \
		> $(DEBIANDIR)/monitoring-plugins-basic.postrm
	sed -e 's/@STD_PLUGINS@/${std_plugin_cfgs}/' \
		< $(DEBIANDIR)/monitoring-plugins-standard.postrm.in \
		> $(DEBIANDIR)/monitoring-plugins-standard.postrm
	# copy our dpkg-sourced functions etc into place
	mkdir -p ${NP_COMMON_DIR}/usr/share/monitoring-plugins/dpkg
	install -t ${NP_COMMON_DIR}/usr/share/monitoring-plugins/dpkg \
		$(DEBIANDIR)/functions
	# remove /usr/include from monitoring-plugins-basic (in case its empty and exists)
	[ ! -d ${NP_BASIC_DIR}/usr/include ] || rmdir ${NP_BASIC_DIR}/usr/include
	# generate debian/README.Debian.plugins
	perl ./debian/bin/gen_plugin_deps.pl

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_installexamples -i
	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installchangelogs -p monitoring-plugins-basic -s ChangeLog
	dh_installchangelogs -Nmonitoring-plugins-basic
	dh_installdocs -s
	dh_link -s
	dh_installexamples -s
	dh_installman -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s -X utils.pm
	dh_installdeb -s
	dh_shlibdeps -s -Nmonitoring-plugins-standard
	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars \
		${NP_STD_DIR}/${NP_LIBEXEC}/check_dns
	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars.in \
		-dSuggests ${NP_STD_DIR}/${NP_LIBEXEC}/check_*
	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
		>> debian/monitoring-plugins-standard.substvars
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

## monitoring-plugins 2.3.2

=== debian/changelog ===
monitoring-plugins (2.3.2-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1946874). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      that was having constant socket timeouts.
      (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Dec 2022 17:43:21 -0800

monitoring-plugins (2.3.2-1) unstable; urgency=medium

  * [1fe8724] d/control: remove deprecated libradiusclient-ng-dev from build-deps
  * [9e92541] d/rules: Fix debhelper compat 12 by using '-a' instead '-s'
  * [eb27aa7] Adding d/p/13_check_http_fix_superflous_crlf (Closes: #913142)
  * [6cf0b31] Remove constraints unnecessary since buster
  * [21323d2] New upstream version 2.3.2 (Closes: #800345, #997849)
  * [91105f7] Drop patches integrated upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 21 Oct 2022 11:41:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
-Build-Depends: debhelper (>= 10~),
-               libcurl4-openssl-dev | libcurl4-nss-dev (>= 7.34) | libcurl4-gnutls-dev (>= 7.42),
+Build-Depends: debhelper-compat (= 12),
+               libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
                libdbi-dev,
-               libradcli-dev | libfreeradius-client-dev | libradiusclient-ng-dev,
+               libradcli-dev | libfreeradius-client-dev,
                libkrb5-dev,
                libldap2-dev,
                default-libmysqlclient-dev,
@@ -21,7 +21,7 @@
 Homepage: https://www.monitoring-plugins.org
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 
 Package: monitoring-plugins
 Architecture: all
@@ -49,7 +49,7 @@
 
 Package: monitoring-plugins-basic
 Architecture: any
-Depends: inetutils-ping (>= 2:1.9-1~) [kfreebsd-any hurd-any],
+Depends: inetutils-ping [kfreebsd-any hurd-any],
          iputils-ping [linux-any],
          monitoring-plugins-common,
          procps,

=== debian/rules ===
--- 
+++ 
@@ -205,19 +205,19 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testdir -s
-	dh_testroot -s
-	dh_installchangelogs -p monitoring-plugins-basic -s ChangeLog
+	dh_testdir -a
+	dh_testroot -a
+	dh_installchangelogs -p monitoring-plugins-basic -a ChangeLog
 	dh_installchangelogs -Nmonitoring-plugins-basic
-	dh_installdocs -s
-	dh_link -s
-	dh_installexamples -s
-	dh_installman -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s -X utils.pm
-	dh_installdeb -s
-	dh_shlibdeps -s -Nmonitoring-plugins-standard
+	dh_installdocs -a
+	dh_link -a
+	dh_installexamples -a
+	dh_installman -a
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a -X utils.pm
+	dh_installdeb -a
+	dh_shlibdeps -a -Nmonitoring-plugins-standard
 	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars \
 		${NP_STD_DIR}/${NP_LIBEXEC}/check_dns
 	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars.in \
@@ -225,8 +225,8 @@
 	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
 		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
 		>> debian/monitoring-plugins-standard.substvars
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch

## monitoring-plugins 2.3.3

=== config_test/Makefile ===

all: child_test

child_test: child_test.c
	gcc -o child_test child_test.c

test:
	./run_tests 10 100 > /dev/null

clean:
	rm -f child_test

=== debian/changelog ===
monitoring-plugins (2.3.3-5+deb12u2) bookworm; urgency=medium

  * [c45bc15] Adding d/p/23_check_http_fix_unchunking_body from upstream
    (Closes: #1061956)

 -- Jan Wagner <waja@cyconet.org>  Wed, 31 Jan 2024 09:40:18 +0100

monitoring-plugins (2.3.3-5+deb12u1) bookworm; urgency=medium

  * [85eed74] Adding d/p/22_check_disk_avoid_mount from upstream
    (Closes: #1051768)

 -- Jan Wagner <waja@cyconet.org>  Tue, 19 Sep 2023 07:54:14 +0200

monitoring-plugins (2.3.3-5) unstable; urgency=medium

  * [6fb8e25] Adding d/p/14_check_curl_fix_SSL_with_multiple_IPs from upstream
  * [eab1e1d] Adding d/p/15_check_swap_remove_includes from upstream
  * [3ede347] Adding d/p/16_check_snmp_disable_multiplier_when_unused from upstream

 -- Jan Wagner <waja@cyconet.org>  Thu, 30 Mar 2023 08:51:53 +0000

monitoring-plugins (2.3.3-4) unstable; urgency=medium

  * [953ee52] Adding d/p/13_check_icmp_improvements from upstream

 -- Jan Wagner <waja@cyconet.org>  Tue, 07 Mar 2023 13:29:35 +0000

monitoring-plugins (2.3.3-3) unstable; urgency=medium

  * [15d0c56] Adding d/p/12_check_curl_improvements from upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 24 Feb 2023 12:55:11 +0000

monitoring-plugins (2.3.3-2) unstable; urgency=high

  * [01c9312] Adding d/p/10_check_http_chunked_wo_actual_content from upstream
  * [c1f3ca7] Adding d/p/11_fallback_for_gnutls from upstream

 -- Jan Wagner <waja@cyconet.org>  Fri, 10 Feb 2023 10:16:38 +0000

monitoring-plugins (2.3.3-1) unstable; urgency=medium

  * [e7bdd1c] New upstream version 2.3.3
  * [c31ba97] Drop patches applied upstream

 -- Jan Wagner <waja@cyconet.org>  Thu, 02 Feb 2023 09:36:44 +0000

monitoring-plugins (2.3.2-3) unstable; urgency=high

  * [62a3be0] Adding d/p/31_check_http_fix_memory_alloc_error_chunk_decod from
    upstream (Closes: #1029934)

 -- Jan Wagner <waja@cyconet.org>  Tue, 31 Jan 2023 13:13:58 +0000

monitoring-plugins (2.3.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [32fba01] Bump Standards-Version to 4.6.1, no changes.

  [ Jan Wagner ]
  * [5a11a70] Adding upstream patches fixing (u)int64_t on 32-bit machines
    (Closes: #1023280)
  * [2a90f45] Adding github actions
  * [7d0e34a] Use testing, since unstable has large transition ongoing
  * [0543e43] only removing github stuff
  * [1e0e230] Adding d/patches/16_check_pgsql_dbname_too_strict
    (Closes: ##982847)
  * [b61a8ea] Update d/patch/13_check_http_fix_superflous_crlf
  * [73bd381] Adding d/p/17_check_curl_detect_ipv6

  [ Bas Couwenberg ]
  * [d6b03fd] Add Rules-Requires-Root to control file.

  [ Jan Wagner ]
  * [08ddb1e] d/control: Drop 'pkg-' from Vcs-Headers
  * [76475e9] Adding d/p/18_check_icmp_help from upstream
  * [f625b1e] Adding d/p/19_check_disk_fs_usage from upstream
  * [f9e79de] Adding d/p/20_check_apt_unknown_escape_sequence
  * [f95110e] Adding d/p/21_check_http_faster_with_large_files from upstream
  * [d4c9e0b] Adding d/p/22_check_curl_faster_with_large_files from upstream
  * [c662b29] Adding gitlab CI
  * [95eeed8] Adding d/p/24_check_apt_usage from upstream
  * [298c20a] Bump debhelper from old 12 to 13.
  * [ab165de] Update standards version to 4.6.2, no changes needed.
  * [f064e9b] Adding d/p/23_check_http_chunked_encoding from upstream
  * [f503139] d/README.Debian: Fix typo
  * [ccc552b] Adding d/p/25_spell_fixes from upstream
  * [405406d] d/rules: Set DH_VERBOSE=1
  * [ff160b6] Adding d/p/26_check_mailq_fix_nullmailer_regex from upstream
    (Closes: #1019406)
  * [e99bd7b] Adding d/p/27_check_snmp_add_multiplier
  * [73742e9] Adding d/p/28_check_snmp_fix_regex_matches from upstream
  * [4f70a9d] Adding d/p/29_check_log_polish from upstream
  * [4f7eea1] Adding d/p/30_check_disk_clarify_usage_possibilites from upstream

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Jan 2023 14:40:09 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # for hardening
 DPKG_EXPORT_BUILDFLAGS = 1

## monitoring-plugins 2.3.5

=== debian/changelog ===
monitoring-plugins (2.3.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:15 +1100

monitoring-plugins (2.3.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:01:23 +0000

monitoring-plugins (2.3.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 15 Feb 2024 22:39:01 -0800

monitoring-plugins (2.3.5-1) unstable; urgency=medium

  [ Jan Wagner ]
  * [a20810f] Adding d/p/36_check_smtp_adding_proxy_header from upstream
  * [0250eb9] Adding d/p/37_check_smtp_Adding_SNI from upstream
  * [1381a20] Remove left over d/p/31_checl_mailq_separate_submission_queue

  [ Bas Couwenberg ]
  * [7c86d65] Explicitly enable test-build-twice job.

  [ Jan Wagner ]
  * [de72f6f] New upstream version 2.3.4
  * [5956793] New upstream version 2.3.5
  * [f07f4db] Drop patches integrated by upstream

 -- Jan Wagner <waja@cyconet.org>  Wed, 18 Oct 2023 12:04:05 +0200

monitoring-plugins (2.3.3-6ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2030674). Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity, if they weren't intentionally
      included in the check options or had a mount point specifically
      provided for them.
      (LP #1827159, #1940916)
  * Dropped:
    - d/p/check_http_socket_timeouts.patch: fix check_http
      that was having constant socket timeouts.
      (LP #1875517)
      [Fixed in upstream release 2.3.3]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 07 Aug 2023 12:44:25 -0700

monitoring-plugins (2.3.3-6) unstable; urgency=medium

  * [e1f9786] Adding d/p/14_check_curl_fix_SSL_with_multiple_IPs from upstream
  * [534d0c8] Adding d/p/30_check_radius_radcli_1.3.1_support from upstream
  * [bd72df2] Adding d/p/31_checl_mailq_separate_submission_queue from upstream
  * [567890c] Adding d/p/32_check_disk_add_ignore_missing from upstream
    (Closes: #516097)
  * [47b7589] Adding d/p/15_check_swap_remove_includes from upstream
  * [6f89be8] Adding d/p/33_check_procs_exclude-process from upstream
  * [983507a] Adding d/p/34_check_curl_fix_compare_warning from upstream
  * [9225592] Adding d/p/17_fix_exit_codes from upstream
  * [3a0d875] Adding d/p/18_check_mysql_fix_typo from upstream
  * [17688c7] Adding d/p/19_check_nwstat_fix_typo from upstream
  * [e0cfe77] Adding d/p/20_chech_nt_fix_encoding from upstream
  * [3da2163] Adding d/p/21_check_pgsql_extra_output from upstream
  * [7cbe4b6] Adding d/p/22_check_disk_avoid_mount from upstream
  * [01be8ce] d/p/series: Fix typo
  * [85d9e03] Adding d/p/23_check_mysql_fix_error_handling from upstream
  * [555d643] CI: Disable BLHC job
  * [85a271e] Adding d/p/24_check_disk_fix_SI_units from upstream
  * [02c716f] d/p/31_check_mailq_separate_submission_queue: Fix filename

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Jun 2023 21:46:29 +0200

## monitoring-plugins 2.4.0

=== debian/changelog ===
monitoring-plugins (2.4.0-4) unstable; urgency=medium

  [ Jan Wagner ]
  * [bee01b8] d/control: Remove Alexander Wirt from Uploaders
  * [7236330] d/control: Adding libsystemd-dev and libsystemd0 as build-dep
    (Closes: #1110265)
  * [8cd52e3] Adding d/patches/25_check_users_sd_get_uids to fix user count

  [ Bas Couwenberg ]
  * [4770fe3] Update lintian overrides.
  * [294841c] Drop Priority: optional, default since dpkg 1.22.13.
  * [97009f5] Revert "Drop Priority: optional, default since dpkg 1.22.13."

  [ Jan Wagner ]
  * [3f438f9] Adding d/p/26_check_mysql_replica from upstream (Closes: #1116027)

 -- Jan Wagner <waja@cyconet.org>  Mon, 06 Oct 2025 11:29:35 +0200

monitoring-plugins (2.4.0-3) unstable; urgency=medium

  * Upload to unstable 

 -- Jan Wagner <waja@cyconet.org>  Tue, 22 Apr 2025 16:25:21 +0200

monitoring-plugins (2.4.0-3~exp1) experimental; urgency=medium

  * [7e8c776] Adding d/p/24_check_http_deprecation from upstream
  * [baad659] Add d/monitoring-plugins-basic.alternatives
  * [6bb8580] Adjust debian/rules for check_http rename
  * [ddaa81f] check_curl: move to monitoring-plugins-basic package
  * [b724e41] d/NEWS: Add information about check_http deprecation

 -- Jan Wagner <waja@cyconet.org>  Mon, 21 Apr 2025 16:29:02 +0200

monitoring-plugins (2.4.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [2d414bd] Bump Standards-Version to 4.7.0, no changes.

  [ Jan Wagner ]
  * [672d37c] Adding d/p/10_check_curl_fix_redirects from upstream
  * [15760ad] Adding d/p/11_check_curl_raise_ssl_issue from upstream
  * [a6b1db0] Adding d/p/12_check_curl_add_docu from upstream
  * [8b17915] Adding d/p/13_check_mysql_fix_variables from upstream
  * [01e11f9] Adding d/p/14_check_curl_remove_experimental_state from upstream
  * [1b018b3] Adding d/p/15_check_curl_fix_regex from upstream
  * [9c49b6f] Adding d/p/16_check_curl_openssl_error from upstream
  * [f3e1279] Adding d/p/17_check_fping_dontfrag_random from upstream

  [ Bas Couwenberg ]
  * [3c5882d] Add check_curl to monitoring-plugins-standard description.

  [ Jan Wagner ]
  * [043d328] Adding d/p/18_check_curl_fix_TLS_notes from upstream
  * [bf60013] Adding d/p/19_check_curl_cookie_handling from upstream

  [ Bas Couwenberg ]
  * [9cb7fae] Bump Standards-Version to 4.7.2, no changes.
  * [af69fcf] Fix old FSF address in copyright file.

  [ Jan Wagner ]
  * [38aec8e] Adding d/p/20_check_icmp_fix_rtmin from upstream
  * [e817fec] Adding d/p/21_check_http_state_regex from upstream
  * [45f91e2] Adding d/p/22_check_by_ssh_missing_options from upstream
  * [b6a58eb] Adding d/p/23_sslutils_fix_error_message from upstream
  * [3a5f250] debian/NEWS: Fix spelling error
  * [55f87b7] Changing check_httpname to the intended check_http_hostname
    definition (Closes: #1099028)
  * [2f5d025] Adding d/p/04_lmstat_path (Closes: #1053687)

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Apr 2025 21:09:27 +0200

monitoring-plugins (2.4.0-1) unstable; urgency=medium

  * [600e193] New upstream version 2.4.0
    (Closes: #928752)

 -- Jan Wagner <waja@cyconet.org>  Tue, 23 Jul 2024 20:28:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: monitoring-plugins
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
-Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Uploaders: Jan Wagner <waja@cyconet.org>
+Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
                libdbi-dev,
                libradcli-dev | libfreeradius-client-dev,
@@ -14,14 +13,17 @@
                libnet-snmp-perl,
                libpq-dev,
                libssl-dev,
+               libsystemd0,
+               libsystemd-dev,
                liburiparser-dev,
                mawk | awk,
                perl,
                procps
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/nagios-team/monitoring-plugins
+Vcs-Git: https://salsa.debian.org/nagios-team/monitoring-plugins.git
 Homepage: https://www.monitoring-plugins.org
-Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins
-Vcs-Git: https://salsa.debian.org/nagios-team/pkg-monitoring-plugins.git
-Standards-Version: 4.6.0
+Rules-Requires-Root: binary-targets
 
 Package: monitoring-plugins
 Architecture: all
@@ -58,22 +60,24 @@
          ${shlibs:Depends}
 Recommends: libcap2-bin [linux-any]
 Suggests: icinga2
+Breaks: monitoring-plugins-standard (<< 2.4.0-3~)
+Replaces: monitoring-plugins-standard (<< 2.4.0-3~)
 Provides: nagios-plugins-basic
 Description: Plugins for nagios compatible monitoring systems (basic)
  Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
  contains the following plugins:
  .
   check_apt, check_by_ssh, check_clamd, check_cluster,
-  check_dhcp, check_disk, check_dummy, check_file_age,
-  check_ftp, check_host, check_http, check_icmp,
-  check_ide_smart, check_imap, check_ircd, check_jabber,
-  check_load, check_log, check_mrtg, check_mrtgtraf,
-  check_nagios, check_nntp, check_nntps, check_nt,
-  check_ntp, check_ntp_peer, check_ntp_time, check_nwstat,
-  check_overcr,  check_ping, check_pop, check_procs,
-  check_real, check_rta_multi, check_sensors, check_simap,
-  check_smtp, check_spop, check_ssh, check_ssmtp,
-  check_swap, check_tcp, check_time, check_udp,
+  check_curl, check_dhcp, check_disk, check_dummy,
+  check_file_age, check_ftp, check_host, check_http,
+  check_icmp, check_ide_smart, check_imap, check_ircd,
+  check_jabber, check_load, check_log, check_mrtg,
+  check_mrtgtraf, check_nagios, check_nntp, check_nntps,
+  check_nt, check_ntp, check_ntp_peer, check_ntp_time,
+  check_nwstat, check_overcr,  check_ping, check_pop,
+  check_procs, check_real, check_rta_multi, check_sensors,
+  check_simap, check_smtp, check_spop, check_ssh,
+  check_ssmtp, check_swap, check_tcp, check_time, check_udp,
   check_ups, check_users
  .
  This package provides a basic set of plugins with minimal external

=== debian/rules ===
--- 
+++ 
@@ -28,15 +28,15 @@
 	check_rpc check_snmp check_wave check_fping check_game \
 	check_radius check_mysql check_mysql_query check_pgsql \
 	check_disk_smb check_ldap check_ldaps \
-	check_mailq check_curl \
+	check_mailq \
 	check_dns check_dig check_flexlm check_oracle \
 	check_dbi
 
 common_files:=negate urlize utils.pm utils.sh
 
-basic_plugin_cfgs:=apt dhcp disk dummy ftp http load mail news ntp ping procs \
+basic_plugin_cfgs:=apt dhcp disk dummy ftp http curl-http load mail news ntp ping procs \
 	real ssh tcp_udp telnet users
-std_plugin_cfgs:=breeze curl-http disk-smb dns flexlm fping games hppjd ifstatus ldap \
+std_plugin_cfgs:=breeze disk-smb dns flexlm fping games hppjd ifstatus ldap \
 	mailq mrtg mysql netware nt pgsql radius rpc-nfs snmp
 
 PATH = /bin:/sbin:/usr/bin:/usr/sbin
@@ -156,6 +156,8 @@
 	for p in ${std_plugins}; do \
 		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_STD_DIR}/${NP_LIBEXEC}; \
 	done
+	# rename check_http to check_http_deprecated for making use of update-alternatives
+	mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/check_http ${NP_BASIC_DIR}/${NP_LIBEXEC}/check_http.deprecated
 	# slit out common files
 	for p in ${common_files}; do \
 		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_COMMON_DIR}/${NP_LIBEXEC}; \
@@ -213,6 +215,7 @@
 	dh_link -a
 	dh_installexamples -a
 	dh_installman -a
+	dh_installalternatives -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a -X utils.pm
@@ -223,10 +226,3 @@
 	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars.in \
 		-dSuggests ${NP_STD_DIR}/${NP_LIBEXEC}/check_*
 	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
-		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
-		>> debian/monitoring-plugins-standard.substvars
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch

=== debian/watch ===
version=4
https://www.monitoring-plugins.org/download/.*-plugins-(\d+\.[\d\.a-z]+)\.tar\.gz \
  debian debian/bin/repack.sh
